Cantera 2.6.0

Public Member Functions | Protected Attributes | List of all members
WallBase Class Reference
Zero-dimensional reactor networks

Base class for 'walls' (walls, pistons, etc.) connecting reactors. More...

`#include <Wall.h>`

Inheritance diagram for WallBase:
[legend]
Collaboration diagram for WallBase:
[legend]

## Public Member Functions
| WallBase (const WallBase &)=delete
WallBase & | operator= (const WallBase &)=delete
virtual std::string | type () const
| String indicating the wall model implemented. More...
virtual double | vdot (double t)
| Rate of volume change (m^3/s) for the adjacent reactors. More...
virtual double | Q (double t)
| Heat flow rate through the wall (W). More...
double | area ()
| Area in (m^2). More...
virtual void | setArea (double a)
| Set the area [m^2]. More...
bool | install (ReactorBase &leftReactor, ReactorBase &rightReactor)
| Install the wall between two reactors or reservoirs. More...
virtual void | initialize ()
| Called just before the start of integration. More...
virtual bool | ready ()
| True if the wall is correctly configured and ready to use. More...
ReactorBase & | left () const
| Return a reference to the Reactor or Reservoir to the left of the wall. More...
const ReactorBase & | right ()
| Return a reference to the Reactor or Reservoir to the right of the wall. More...

## Protected Attributes
ReactorBase * | m_left
ReactorBase * | m_right
std::vector< ReactorSurface > | m_surf
double | m_area

## Detailed Description

Base class for 'walls' (walls, pistons, etc.) connecting reactors.

Definition at line 24 of file Wall.h.

## Constructor & Destructor Documentation

## ◆ WallBase()

WallBase | ( |  | ) |

Definition at line 14 of file Wall.cpp.

## ◆ ~WallBase()

virtual ~WallBase | ( |  | ) |
| inline virtual

Definition at line 29 of file Wall.h.

## Member Function Documentation

## ◆ type()

virtual std::string type | ( |  | ) | const
| inline virtual

String indicating the wall model implemented.

Usually corresponds to the name of the derived class.

Reimplemented in Wall.

Definition at line 35 of file Wall.h.

## ◆ vdot()

virtual double vdot | ( | double | t | ) |
| inline virtual

Rate of volume change (m^3/s) for the adjacent reactors.

This method is called by Reactor::evalWalls(). Base class method does nothing (that is, constant volume), but may be overloaded.

Reimplemented in Wall.

Definition at line 44 of file Wall.h.

## ◆ Q()

virtual double Q | ( | double | t | ) |
| inline virtual

Heat flow rate through the wall (W).

This method is called by Reactor::evalWalls(). Base class method does nothing (that is, an adiabatic wall), but may be overloaded.

Reimplemented in Wall.

Definition at line 53 of file Wall.h.

## ◆ area()

double area | ( |  | ) |
| inline

Area in (m^2).

Definition at line 58 of file Wall.h.

## ◆ setArea()

void setArea | ( | double | a | ) |
| virtual

Set the area [m^2].

Definition at line 31 of file Wall.cpp.

## ◆ install()

bool install | ( | ReactorBase & | leftReactor,
|  | ReactorBase & | rightReactor
| ) |  |

Install the wall between two reactors or reservoirs.

Definition at line 16 of file Wall.cpp.

References ReactorBase::addWall().

## ◆ initialize()

virtual void initialize | ( |  | ) |
| inline virtual

Called just before the start of integration.

Definition at line 69 of file Wall.h.

Referenced by Reactor::initialize().

## ◆ ready()

virtual bool ready | ( |  | ) |
| inline virtual

True if the wall is correctly configured and ready to use.

Definition at line 72 of file Wall.h.

## ◆ left()

ReactorBase & left | ( |  | ) | const
| inline

Return a reference to the Reactor or Reservoir to the left of the wall.

Definition at line 77 of file Wall.h.

## ◆ right()

const ReactorBase & right | ( |  | ) |
| inline

Return a reference to the Reactor or Reservoir to the right of the wall.

Definition at line 82 of file Wall.h.

## Member Data Documentation

## ◆ m_left

ReactorBase* m_left
| protected

Definition at line 87 of file Wall.h.

## ◆ m_right

ReactorBase* m_right
| protected

Definition at line 88 of file Wall.h.

## ◆ m_surf

std::vector<ReactorSurface> m_surf
| protected

Definition at line 90 of file Wall.h.

## ◆ m_area

double m_area
| protected

Definition at line 92 of file Wall.h.

The documentation for this class was generated from the following files:

- Wall.h
- Wall.cpp